Mobile widgets
Get mobile widgets
Retrieves one of the company’s mobile widgets as a bare object. When the caller is a member of the company, embed_url is returned with the member’s public ID appended so the embedded page can identify them. Returns 404 when the ID does not match a widget of the company. Requires a user Bearer token with permission to view mobile pages.
GET
/
api
/
mobile_widgets
/
{id}
Get mobile widgets
curl --request GET \
--url https://api.fluid.app/api/mobile_widgets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/mobile_widgets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/mobile_widgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/mobile_widgets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/mobile_widgets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/mobile_widgets/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/mobile_widgets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 2741,
"company_id": 1405,
"name": "Paper Sales Leaderboard",
"embed_url": "https://widgets.piedpiper.com/dunder-mifflin/leaderboard?public_id=0199a3f4-6b2c-7d81-9e45-3c7a1f0b52d8",
"height": 420,
"cover_image_url": "https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png",
"page_scope": {
"home": true,
"explore": false
},
"droplet_installation_id": 318,
"scrollable": true
}{
"message": "<string>"
}Response
object | null
Success
⌘I
Get mobile widgets
curl --request GET \
--url https://api.fluid.app/api/mobile_widgets/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/mobile_widgets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/mobile_widgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/mobile_widgets/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/mobile_widgets/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/mobile_widgets/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/mobile_widgets/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 2741,
"company_id": 1405,
"name": "Paper Sales Leaderboard",
"embed_url": "https://widgets.piedpiper.com/dunder-mifflin/leaderboard?public_id=0199a3f4-6b2c-7d81-9e45-3c7a1f0b52d8",
"height": 420,
"cover_image_url": "https://cdn.fluid.app/dunder-mifflin/widgets/leaderboard-cover.png",
"page_scope": {
"home": true,
"explore": false
},
"droplet_installation_id": 318,
"scrollable": true
}{
"message": "<string>"
}